From f36cd76b3c8c8b019df373ed432285c027dfa674 Mon Sep 17 00:00:00 2001
From: Devyani Kota <divs.passion.18@gmail.com>
Date: Nov 06 2015 20:46:30 +0000
Subject: [PATCH 234/1001] Added generator to avoid changes in json data


---

diff --git a/hubs/widgets/subscriptions.py b/hubs/widgets/subscriptions.py
index 25c670b..aa9d394 100644
--- a/hubs/widgets/subscriptions.py
+++ b/hubs/widgets/subscriptions.py
@@ -15,13 +15,11 @@ chrome = panel('Hubs', key='associations')
 template = jinja2.Template("""
 {% if associations %}
     {% if memberships %}
-        <p><strong>Belongs to: </strong>
-        {{memberships_text}}</p>
+        <p><strong>Belongs to: </strong>{{memberships_text}}</p>
     {% endif %}
     <hr/>
     {% if subscriptions %}
-        <p><strong>Subscribes to:</strong>
-        {{subscriptions_text}}</p>
+        <p><strong>Subscribes to:</strong>{{subscriptions_text}}</p>
     {% endif %}
 {% endif %}
 """)
@@ -36,10 +34,8 @@ def data(session, widget, username):
     ownerships = [u.name for u in user.ownerships]
     memberships = [u.name for u in user.memberships]
     subscriptions = [u.name for u in user.subscriptions]
-    subs = subscriptions
-    mems = memberships
-    subscriptions_list = manage_subscriptions(subs)
-    memberships_list = manage_subscriptions(mems)
+    subscriptions_list = manage_subscriptions(subscriptions)
+    memberships_list = manage_subscriptions(memberships)
     return dict(
         associations=memberships + ownerships,
         ownerships=ownerships,
@@ -52,12 +48,11 @@ def data(session, widget, username):
 
 
 # function hyperlinks the hubs in the subscription widget
-def manage_subscriptions(s):
-    for j, i in enumerate(s[0:3]):
+def manage_subscriptions(items):
+    for index, item in enumerate(items[0:3]):
         link = '<a href="{link}">{item}</a>'.format(link=flask.url_for(
-            'hub', name=i), item=i)
-        s[j] = link
-    return s
+            'hub', name=item), item=item)
+        yield link
 
 
 def should_invalidate(message, session, widget):

